## START: Set by rpmautospec
## (rpmautospec version 0.3.1)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# Use QORTEC's fork for now since upstream appears unmaintained.
# See https://github.com/pdewacht/brlaser/issues/145
%global forgeurl https://github.com/QORTEC/brlaser

Name:           printer-driver-brlaser
Version:        6.2
%forgemeta
Release:        %autorelease
Summary:        Brother laser printer driver

License:        GPLv2+
URL:            %{forgeurl}
Source0:        %{forgesource}

Patch0:         0001-fix-build-under-Fedora-38.patch

BuildRequires:  cmake
BuildRequires:  gcc-c++
BuildRequires:  cups-devel
Requires:       cups-filesystem
Requires:       ghostscript

%description
brlaser is a CUPS driver for Brother laser printers.

Although most Brother printers support a standard printer language
such as PCL or PostScript, not all do. If you have a monochrome
Brother laser printer (or multi-function device) and the other open
source drivers don't work, this one might help.

For a detailed list of supported printers, please refer to
%{forgeurl}

%prep
%forgeautosetup -p1

%build
%cmake
%cmake_build

%install
%cmake_install

%check
%ctest

%files
%{_cups_serverbin}/filter/rastertobrlaser
%{_datadir}/cups/drv/brlaser.drv
%doc README.md
%license COPYING

%changelog
* Tue Jan 24 2023 Ondřej Budai <ondrej@budai.cz> - 6.2-1
- Bump to the version 6.2 of the QORTEC's fork, fix build on F38

* Fri Jan 20 2023 Fedora Release Engineering <releng@fedoraproject.org> - 6-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Fri Jul 22 2022 Fedora Release Engineering <releng@fedoraproject.org> - 6-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Mon May 09 2022 Ondrej Budai <ondrej@budai.cz> - 6-2
- Add support for many devices by pulling merging unmerged upstream PRs

* Sun Mar 27 2022 Ondrej Budai <ondrej@budai.cz> - 6-1
- Initial package version

